SDL_GetRendererFromTexture(3)

NAME
SDL_GetRendererFromTexture - Get the renderer that created an SDL_Texture.

SYNOPSIS
#include <SDL3/SDL_render.h>

SDL_Renderer * SDL_GetRendererFromTexture(SDL_Texture *texture);

FUNCTION PARAMETERS

texture
    the texture to query.

RETURN VALUE
Returns a pointer to the SDL_Renderer that created the texture, or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.